#pragma once

#include <QWidget>
#include <QDBusVariant>

#include <View/ConfigDialog.h>
#include "AuthAgent.h"


class QDBusServiceWatcher;
class AuthHelper: public QWidget
{
    Q_OBJECT
public:
    AuthHelper();
    QMap<QString, ConfigDialog> dialogs;
    AuthAgent authAgent;
    QDBusServiceWatcher *watcher;

public slots:
    void requireAuthCode(const QString &query);
    void handleJobFinish(const QString &,const QString &,const QString &);

    void ServiceRegister(const QString &service);
};

