#include <QApplication>
#include <DUI.h>
#include "AuthHelper.h"
#include <Utils.h>
#include "AuthcodeUpdateDialog.h"

int main(int argc, char **argv) {
    DUI_SET_THEME(Dark);
    Q_INIT_RESOURCE(DtkWidget);
    Q_INIT_RESOURCE(ConfigHelper);

    QApplication app(argc, argv, true);

    Utils::installLogHandler();
    Utils::loadTranslate();

    AuthHelper helper;
    helper.hide();

    app.setQuitOnLastWindowClosed(false);

    return app.exec();
}
