#ifndef DMESSAGEBOX_H
#define DMESSAGEBOX_H

#include "DBaseDialog.h"

class DMessageBox : public DBaseDialog
{
    Q_OBJECT
public:
    explicit DMessageBox(const QString& icon,
                         const QString& message,
                         const QString& tipMessage,
                         const QStringList& buttonKeys,
                         const QStringList& buttonTexts,
                         QWidget *parent = NULL);

private:
    void initUI(const QString& icon,
                const QString& message,
                const QString& tipMessage,
                const QStringList& buttonKeys,
                const QStringList& buttonTexts);

    QString m_message;
    QString m_tipMessage;
    QLabel* m_messageLabel;
    QLabel* m_tipMessageLabel;
    QWidget* m_messageWidget;
    QVBoxLayout* m_messageLayout;

signals:

public slots:
};

#endif // DMESSAGEBOX_H
