package main

import (
	authagent "pkg.deepin.io/cloudprint/dbus/authagent"
)

func getAuthCode(addr string) (string, error) {
	auth, err := authagent.NewAuthAgent("com.deepin.cloudprint.Auth.Agent", "/com/deepin/cloudprint/Auth/Agent")
	if nil != err {
		logger.Println("Create dbus agent failed", err)
		return "", err
	}
	return auth.GetAuthCode(addr)
}

func notifyPrintJob(job, errstr string) {
	auth, err := authagent.NewAuthAgent("com.deepin.cloudprint.Auth.Agent", "/com/deepin/cloudprint/Auth/Agent")
	if nil != err {
		logger.Println("Create dbus agent failed", err)
		return
	}
	logger.Println("call nofify")
	logger.Println(auth.NotifyJobFinish("", job, errstr))
}
