TEMPLATE  = app

TARGET = cloudprint-auth-helper

QT += core gui widgets dbus x11extras
CONFIG += staticlib c++11

HEADERS += \
    AuthHelper.h \
    AuthAgent.h \
    AuthcodeUpdateDialog.h


SOURCES += \
    Main.cpp \
    AuthHelper.cpp \
    AuthAgent.cpp \
    AuthcodeUpdateDialog.cpp

LIBS += -lthrift -lcups -lxcb -lX11

RESOURCES += \
    ../tranlate.qrc

win32:CONFIG(release, debug|release): LIBS += -L$$OUT_PWD/../ConfigHelper/release/ -lconfig-helper
else:win32:CONFIG(debug, debug|release): LIBS += -L$$OUT_PWD/../ConfigHelper/debug/ -lconfig-helper
else:unix: LIBS += -L$$OUT_PWD/../ConfigHelper/ -lconfig-helper

INCLUDEPATH += $$PWD/../ConfigHelper
DEPENDPATH += $$PWD/../ConfigHelper

win32-g++:CONFIG(release, debug|release): PRE_TARGETDEPS += $$OUT_PWD/../ConfigHelper/release/libconfig-helper.a
else:win32-g++:CONFIG(debug, debug|release): PRE_TARGETDEPS += $$OUT_PWD/../ConfigHelper/debug/libconfig-helper.a
else:win32:!win32-g++:CONFIG(release, debug|release): PRE_TARGETDEPS += $$OUT_PWD/../ConfigHelper/release/config-helper.lib
else:win32:!win32-g++:CONFIG(debug, debug|release): PRE_TARGETDEPS += $$OUT_PWD/../ConfigHelper/debug/config-helper.lib
else:unix: PRE_TARGETDEPS += $$OUT_PWD/../ConfigHelper/libconfig-helper.a

win32:CONFIG(release, debug|release): LIBS += -L$$OUT_PWD/../DTK/Widget/release/ -ldwidget
else:win32:CONFIG(debug, debug|release): LIBS += -L$$OUT_PWD/../DTK/Widget/debug/ -ldwidget
else:unix: LIBS += -L$$OUT_PWD/../DTK/Widget/ -ldwidget

INCLUDEPATH += $$PWD/../DTK/Widget
DEPENDPATH += $$PWD/../DTK/Widget

win32-g++:CONFIG(release, debug|release): PRE_TARGETDEPS += $$OUT_PWD/../DTK/Widget/release/libdwidget.a
else:win32-g++:CONFIG(debug, debug|release): PRE_TARGETDEPS += $$OUT_PWD/../DTK/Widget/debug/libdwidget.a
else:win32:!win32-g++:CONFIG(release, debug|release): PRE_TARGETDEPS += $$OUT_PWD/../DTK/Widget/release/dwidget.lib
else:win32:!win32-g++:CONFIG(debug, debug|release): PRE_TARGETDEPS += $$OUT_PWD/../DTK/Widget/debug/dwidget.lib
else:unix: PRE_TARGETDEPS += $$OUT_PWD/../DTK/Widget/libdwidget.a
