#ifndef CUPSCLIENT_H
#define CUPSCLIENT_H

#include <QObject>
#include "RPC/CloudPrint.h"
#include <cups/cups.h>

class CUPSClient : public QObject
{
    Q_OBJECT
public:
    explicit CUPSClient(QObject *parent = 0);

    static QMap<QString, cloudprint::Printer> listPrinter();
    static bool addPrinter(const cloudprint::Printer &printer);
    static cups_dest_t* getPrinter(const cloudprint::Printer &printer);
signals:

public slots:
};

#endif // CUPSCLIENT_H
