#pragma once

#include <QWidget>

class QTimer;

class DAnimation : public QWidget
{
    Q_OBJECT
public:
    explicit DAnimation(QWidget *parent = 0);

    explicit DAnimation(const QStringList& sourcesList, QWidget *parent = 0);

    void start();
    void stop();

    virtual void paintEvent(QPaintEvent *e);

signals:
    void finish();

public slots:
    void nextFrame();

protected:
    void init();

    QStringList m_SourceList;
    int         m_FrameIndex;
    QTimer      *m_Timer;
};


