#include "DPushButton.h"
#include "DUI.h"

DPushButton::DPushButton(QWidget *parent) : QPushButton(parent) {
    DUI_INIT_STYLESHEET(DPushButton);
}

DPushButton::DPushButton(const QString &text, QWidget *parent) : QPushButton(text, parent) {
    DUI_INIT_STYLESHEET(DPushButton);
}

DPushButton::DPushButton(const QIcon& icon, const QString &text, QWidget *parent) : QPushButton(icon, text, parent) {
    DUI_INIT_STYLESHEET(DPushButton);
}
