#include <QDebug>
#include <QDBusError>
#include <QApplication>
#include <QDBusConnection>

#include <Utils.h>
#include <View/ConfigDialog.h>

int main(int argc, char **argv) {
    Q_INIT_RESOURCE(DtkWidget);
    Q_INIT_RESOURCE(ConfigHelper);

    QApplication app(argc, argv, true);

    QFont ft12 = app.font();
    ft12.setPixelSize(12);
    app.setFont(ft12);

    Utils::installLogHandler();
    Utils::loadTranslate();

    ConfigDialog dialog;
    dialog.show();

    return app.exec();
}


