package main

import (
	"os"
	"os/signal"
	"syscall"
)

func registerSignalHandle() {
	signals := make(chan os.Signal, 1)
	signal.Notify(signals, syscall.SIGTERM)
	go func() {
		select {
		case sig := <-signals:
			switch sig {
			case syscall.SIGTERM:
				logger.Println("cups cancel job")
				cancelCurrentJob()
				os.Exit(0)
			}
		}
	}()
}
